/**
 * file: api/server.go
 * author: Theo Technicguy
 * license: Apache 2.0
 *
 * API dispatching
 */

package api

import (
	apiv0 "git.licolas.net/hoffman/server/api/v0"
	hlog "git.licolas.net/hoffman/server/logger"
	"git.licolas.net/hoffman/server/types"
	"github.com/gorilla/mux"
	"github.com/rs/zerolog"
)

var logger zerolog.Logger = hlog.GetLogger("api")

func SetLogicProvider(lgc types.LogicProvider) {
	apiv0.SetLogicProvider(lgc)
}

func SetRoutes(router *mux.Router) {
	logger.Trace().Msg("setting routes")
	v0router := router.PathPrefix("/v0").Subrouter()
	apiv0.SetRoutes(v0router)
}
