/**
 * file: tests/api/v0/server_test.go
 * author: Theo Technicguy
 * license: Apache 2.0
 *
 * APIv0 server function tests
 */

package v0_test

import (
	"fmt"
	"net/http"
	"testing"

	apiv0 "git.licolas.net/hoffman/server/api/v0"
	"github.com/stretchr/testify/require"
)

func TestServerErrorNotFound(t *testing.T) {
	mock := new(mockedLogic)
	tss := setupTest(t, mock)

	expect := &apiError{
		Code:    http.StatusNotFound,
		Message: apiv0.ErrNoSuchEndpoint.Error(),
	}

	req, err := http.NewRequest(
		"GET",
		fmt.Sprintf("%s%s", tss.uri, "404-does-not-exist-awgTURHJIONK ORT"),
		nil,
	)
	require.NoError(t, err)

	testRequest[*apiError](t, tss, req, expect, http.StatusNotFound)
}
